Skip to content

Remove a tag value from a location

POST
/locations/{name}:removeTag
curl --request POST \
--url https://example.com/api/v1/locations/example:removeTag \
--header 'Content-Type: application/json' \
--data '{ "key": "example" }'

Removes a key’s value from a location. Gated by location:update.

name
required

The entity’s name

string

The entity’s name

Media type application/json
object
$schema

A URL to the JSON Schema for this object.

string format: uri
key
required

The tag key to remove

string
>= 1 characters

No Content

Error

Media type application/problem+json
object
$schema

A URL to the JSON Schema for this object.

string format: uri
detail

A human-readable explanation specific to this occurrence of the problem.

string
errors

Optional list of individual error details

Array<object> | null
object
location

Where the error occurred, e.g. ‘body.items[3].tags’ or ‘path.thing-id’

string
message

Error message text

string
value

The value at the given location

instance

A URI reference that identifies the specific occurrence of the problem.

string format: uri
status

HTTP status code

integer format: int64
title

A short, human-readable summary of the problem type. This value should not change between occurrences of the error.

string
type

A URI reference to human-readable documentation for the error.

string format: uri
default: about:blank
Example
{
"$schema": "/api/v1/schemas/ErrorModel.json",
"detail": "Property foo is required but is missing.",
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "about:blank"
}